
Auto Multiple Choice - Bug # 85: Student id digits mixed with the grades in the exported grade sheet.

Status: Closed Priority: Normal
Author: Nicolas M. Thiéry Category:
Created: 10/25/2012 Assignee:
Updated: 12/18/2012 Due date:
Description: When exporting the grades, the worksheet contained one column for each

question (good) but also one column for each digit of the
identification of the student (useless), with column title num.etud.1,
num.etud.2, ...

I mailed a copy of the project directly to Alexis for privacy.

History
10/25/2012 01:10 pm - Alexis Bienvenüe
Currently, the CSV export includes these columns, but the OpenOffice export does not.
CSV export is intended to be post-processed by the user (so that extra columns should not be a problem), and OpenOffice export is intended to be 
used as is.

Do you think I should change this?

10/25/2012 02:56 pm - Nicolas M. Thiéry
Alexis Bienvenüe wrote:
> Currently, the CSV export includes these columns, but the OpenOffice export does not.
> CSV export is intended to be post-processed by the user (so that extra columns should not be a problem), and OpenOffice export is intended to be 
used as is.

Ah ok. Well, at least it's weird that the extra columns are mixed with the grades columns. What about putting them last?

> Do you think I should change this?

Maybe make this an option? We don't want too many options, but it feels somewhat inconsistent that the content changes depending upon the output 
format. And an option would document clearly the behavior.

What do others think?

Amitiés,

11/16/2012 04:42 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Resolved

These columns are now (from revision r1226) removed from CSV exports when the _ticked boxes_ option is set to _no_: when this option is set to 
_yes_, the user is supposed to use the CSV file for post-processing only.

12/18/2012 05:40 pm - Alexis Bienvenüe
- Status changed from Resolved to Closed
